Subject: Re: Cygwin + git log = no pager!

From: Chris Packham <[email-masked]>
Date: Sat, 22 Feb 2014 20:39:32 +1300

On 22/02/14 18:18, Robert Dailey wrote:
> So it seems that the pager doesn't work by default when running `git
> log` from Cygwin like it does in msysgit for Windows.
> 
> I know I can pipe to `less` but that requires the additional typing
> obviously. Does anyone know how I can get the pager to work in Cygwin
> for git log, reflog, and other commands like it does in msysgit?
> 
> Thanks in advance.

Add GIT_PAGER=less to your environment. I don't know if you were using
the cygwin packaged git or building from source but I'm surprised the
pager is not set by default as you actually have to define the use of
something other than less.